      module Vcraylh
C...Created by Pacific-Sierra Research VAST-90 2.06G2  12:29:44   5/18/01  
      use Vparam, only: nprofm, nions, ntheta, nspectm, nbitab, nli,
     1             npsis, npnta, mpnta, npdim, ndim20, ndim30
      character   jopid*40
      integer   ndim3, ndim2
      integer   numkpar, nstppic
      integer   iscat0
      integer   ichois, istop, istart, indgr, isxz, nrayno, left, nnztot
     1   , nurefl, isign, light, jslofa, imcon, keik, jpe, jpi, idmpsw
      integer   icurdr, iout0, iout3, iout4, iout5, iout6, iout7, iout8
     1   , iswchi, nthp0, npsi0, nmax, imax, lmax, nwp, tmax, nthp1, 
     2   nthp11, nthp12, npsi01, npsi02, nwp1, nwp2, joplg, idcur, iadj
     3   , modcd, mthwp, npnt, mpnt, npsig, nthpg, numg
      integer, dimension(61) :: jss
      integer, dimension(npdim) :: jmcon
      integer, dimension(nprofm,2) :: kparmx, kparmn
      real   hzf
      real   del0, delxp, del1
      real   dense, derdne, tempe, derte, btor, bpol, btot
      real   xpc, y2c, xp, y2, heta, zeff, xe
      real   dkpsip,dkpsit,dkhep,dkhet,dkpzp,dkpzt, dkp2p, dkp2t
      real   ukzero,urplas,uraxmag,raxmag,xmin,xmax,baxis,dpolas
      real   zxmin,zxe2,zc1,eps3r,eps3i,aeps32,ssmnp2,emod,dd,ss
      real   disph,dhkp2,dhkz,dhne,dhte,dhom,ha,hb,hc,alfa,dsperr
      real   pkmax, pkmin, facpwr, raypic
      real   sjopptr, sjopcptr, sjopdptr, aspinptr, wpptr, thetpptr
      real   aerrmx,rerrmx,psimx,psimn,umax1,wpmx,wpmn,dwp,dthp1,dpsis
      real, dimension(ndim30,ndim20)::rayx,rayz,raypol,raykpar, 
     1   raykper, raypwr, raypsi, rayphi, raycpz
      real accur,dsteph,dpsi,akrini,dkdrin,amime,powold,pwconf
     1   , eikref, hh
      real  xx,eikon,psi,theta,ux,uz,urhs,xu,zu,acosth,asinth
     1   , acostq, asintq, phi, phi0, pwx, dpwri, dpwrf
      real  aj,antau,ag,dxpsi,dxth,dzpsi,dzth,djp,djt,dgp, dgt
     1   , dntaup, dntaut, dompsi, domth, dqpsi, dqth
      real   akpsi,akth,anphi,pkpsi,pktau,pkphi,pkheta,pkx,pkz, 
     1   pkpar, pkpar2, pkp, pkp2, pkp2x, pk
      real gamit,game,gamce,gamma,alphac,alphal,poyntn,pwtote, 
     1   epx, epy, epz, ztx, ztz, ztpsi, zttau, zpwabs, scatd, alpha1, 
     2   alpha2, solrfl, eprat, almi
      real, dimension(nprofm,4) :: tne, tte, tqr
      real, dimension(nprofm) :: tpsi, zsurf, zlamb, zqfac, zcurr
      real, dimension(nprofm,4) :: tpsif, tqfac
      real, dimension(nprofm,4,nions) :: tti, tni
      real, dimension(nprofm,4) :: tzeff
      real, dimension(nprofm,4,nions) :: tconc
      real, dimension(nprofm) :: torflx
      real, dimension(nprofm,4) :: ttani
      real, dimension(nprofm,4) :: bx0, bx1, bx2, bz0
      real, dimension(nprofm) :: volume
      real, dimension(nprofm,4) :: pqr, ppra
      real, dimension(nions) :: xxi, xi, atpi
      real, dimension(nprofm,4) :: ppra1

      real, dimension(nions) ::densi,derdni,aconc,tempi,derti
      real, dimension(nions) :: dhni, dhti
      real, dimension(nions) :: gami, pwtoti
      real, dimension(3) :: pwtotf
      real, dimension(ntheta) :: fpwth
      real, dimension(ntheta,nspectm) :: thstrt
      real, dimension(nions) :: gamip, gamir
      real, dimension(10) :: precdy
      real, dimension(nbitab,0:nli - 1) :: bsir
      real, dimension(nbitab) :: xin
      real, dimension(3) :: ari, agi
      real, dimension(nions) :: vti
      real, dimension(npnta) :: gwk1, gwk2, gwk3
      real, dimension(npnta,mpnta) :: gvk, gwk, gxk
      real, dimension(201) :: pkpara
      real, dimension(200) :: pkmid
      real, dimension(nprofm) :: psimid
      real, dimension(0:301) :: pwrk, pwkk
      real, dimension(0:nprofm) :: pwrr, pwkr
      real, dimension(nprofm)::ajtb,bttra,bttra2,ajbs,ajbsb,ajtar
     1   , ajpar, ftrp
      real, dimension(nprofm)::volpla,ajtor,ajbst,dbt1,dbt2,ajtrb
     1   , ajdrv, ajdit, ajrfb, aisdt
      real, dimension(npsis)::epsr,epsb,epsx,btr,btr1,psis,eden
     1   , etem, zefi, bbar, akapa, akapa1
      complex   delm
      complex   ceps3, cxe, cz, czp, cepx, cepy, cepz, cei, crot
      end module Vcraylh
